### Enumeration

# Qmi UimPinId

since: 1.14

#### Declaration

    enum Qmi.UimPinId

#### Description [src]

PIN ID.

Available since: 1.14

#### Members

`QMI_UIM_PIN_ID_UNKNOWN`

  Unknown.

  - Value: `0`
  - Available since: 1.14
`QMI_UIM_PIN_ID_PIN1`

  PIN1.

  - Value: `1`
  - Available since: 1.14
`QMI_UIM_PIN_ID_PIN2`

  PIN2.

  - Value: `2`
  - Available since: 1.14
`QMI_UIM_PIN_ID_UPIN`

  UPIN.

  - Value: `3`
  - Available since: 1.14
`QMI_UIM_PIN_ID_HIDDEN_KEY`

  Hidden key.

  - Value: `4`
  - Available since: 1.14

#### Type functions

###### qmi_uim_pin_id_get_string

Gets the nickname string for the `QmiUimPinId` specified at `val`.

since: 1.14